Package twisted :: Package internet :: Module pollreactor

[frames | no frames]

## Module twisted.internet.pollreactor

A poll() based implementation of the twisted main loop.

To install the event loop (and you should do this before any connections, listeners or connectors are added):

       from twisted.internet import pollreactor
       pollreactor.install()

API Stability: stable

Maintainer: Itamar Shtull-Trauring

Classes
`PollReactor` | A reactor that uses poll(2).

Function Summary
| ``install`()` Install the poll() reactor.

Variable Summary
`int` | `POLL_DISCONNECTED` = 56
`poll` | `poller` = `<select.poll object at 0x89c6f70>`
`dict` | `reads` = `{}`
`dict` | `selectables` = `{}`
`dict` | `writes` = `{}`

Function Details

### install()

Install the poll() reactor.

Variable Details

### POLL_DISCONNECTED

  Type:
    `int`
  Value:

        56

### poller

  Type:
    `poll`
  Value:

        <select.poll object at 0x89c6f70>

### reads

  Type:
    `dict`
  Value:

        {}

### selectables

  Type:
    `dict`
  Value:

        {}

### writes

  Type:
    `dict`
  Value:

        {}

Generated by Epydoc 2.0 on Sat May 15 20:07:43 2004 | http://epydoc.sf.net